--- old/usr/src/uts/common/crypto/io/dprov.c	sam. juil. 16 15:13:43 2016
+++ new/usr/src/uts/common/crypto/io/dprov.c	sam. juil. 16 15:13:43 2016
@@ -190,9 +190,9 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	&modldrv,
-	&modlcrypto,
-	NULL
+	{   &modldrv,
+	    &modlcrypto,
+	    NULL }
 };
 
 /*
@@ -1040,23 +1040,23 @@
 	dprov_nostore_key_derive
 };
 
-static crypto_ops_t dprov_crypto_ops = {
-	&dprov_control_ops,
-	&dprov_digest_ops,
-	&dprov_cipher_ops,
-	&dprov_mac_ops,
-	&dprov_sign_ops,
-	&dprov_verify_ops,
-	&dprov_dual_ops,
-	&dprov_cipher_mac_ops,
-	&dprov_random_number_ops,
-	&dprov_session_ops,
-	&dprov_object_ops,
-	&dprov_key_ops,
-	&dprov_management_ops,
-	&dprov_ctx_ops,
+static crypto_ops_t dprov_crypto_ops = { .cou.cou_v2 = {
+	{   &dprov_control_ops,
+	    &dprov_digest_ops,
+	    &dprov_cipher_ops,
+	    &dprov_mac_ops,
+	    &dprov_sign_ops,
+	    &dprov_verify_ops,
+	    &dprov_dual_ops,
+	    &dprov_cipher_mac_ops,
+	    &dprov_random_number_ops,
+	    &dprov_session_ops,
+	    &dprov_object_ops,
+	    &dprov_key_ops,
+	    &dprov_management_ops,
+	    &dprov_ctx_ops },
 	&dprov_mech_ops
-};
+}};
 
 
 /* maximum SO and user PIN lengths */
@@ -1209,19 +1209,19 @@
 } dprov_session_t;
 
 
-static crypto_provider_info_t dprov_prov_info = {
-	CRYPTO_SPI_VERSION_2,
-	"Dummy Pseudo HW Provider",
-	CRYPTO_HW_PROVIDER,
-	NULL,				/* pi_provider_dev */
-	NULL,				/* pi_provider_handle */
-	&dprov_crypto_ops,
-	sizeof (dprov_mech_info_tab)/sizeof (crypto_mech_info_t),
-	dprov_mech_info_tab,
-	0,				/* pi_logical_provider_count */
-	NULL,				/* pi_logical_providers */
+static crypto_provider_info_t dprov_prov_info = {{{
+	{   CRYPTO_SPI_VERSION_2,
+	    "Dummy Pseudo HW Provider",
+	    CRYPTO_HW_PROVIDER,
+	    { NULL },			/* pi_provider_dev */
+	    NULL,			/* pi_provider_handle */
+	    &dprov_crypto_ops,
+	    sizeof (dprov_mech_info_tab)/sizeof (crypto_mech_info_t),
+	    dprov_mech_info_tab,
+	    0,				/* pi_logical_provider_count */
+	    NULL },			/* pi_logical_providers */
 	0				/* pi_flags */
-};
+}}};
 
 /*
  * Per-instance info.
